<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class File extends Model
{

    /**
     * Get the human readable file size.
     * @return string
     */
    public function sizeHuman() : string {
        return self::humanFilesize($this->size, 1);
    }

    public static function humanFilesize($bytes, $decimals = 2) {
        $size = array('B', 'kB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB');
        $factor = floor((strlen($bytes) - 1) / 3);
        return sprintf("%.{$decimals}f", $bytes / pow(1024, $factor)) . @$size[$factor];
    }
}
