@extends('layouts.app')

@section('title', 'Directories')

@section('content')
<div class="container">
    <h1>Directories</h1>
    <p>
        <a href="{{ action('DirectoryController@create') }}" class="btn btn-primary">
             New
        </a>
    </p>

    <table class="table table-striped">
        <tr>
            <th>Name</th>
            <th></th>
        </tr>
        @foreach($directories as $directory)
        <tr>
            <td>{{ $directory->name }}</td>
            <td class="text-right">
                <a class="btn btn-primary btn-sm"
                   href="{{ action('DirectoryController@show', ['Directory' => $directory]) }}">
                     Show
                </a>

                <a class="btn btn-primary btn-sm"
                   href="{{ action('DirectoryController@edit', ['Directory' => $directory]) }}">
                     Edit
                </a>

                <form method="POST"
                      action="{{ action('DirectoryController@destroy', ['Directory' => $directory]) }}"
                      style="display: inline-block">
                    {{ csrf_field() }}
                    {{ method_field("DELETE") }}
                    <button class="btn btn-danger btn-sm">
                         Delete
                    </button>
                </form>
            </td>
        </tr>
        @endforeach
    </table>
</div>
@endsection