@extends('layouts.app')

@section('title', 'Files')

@section('content')
<div class="container">
    <h1>Files</h1>
    <p>
        <a href="{{ action('FileController@create') }}" class="btn btn-primary">
             New
        </a>
    </p>

    <table class="table table-striped">
        <tr>
            <th>Name</th>
            <th></th>
        </tr>
        @foreach($files as $file)
        <tr>
            <td>{{ $file->name }}</td>
            <td class="text-right">
                <a class="btn btn-primary btn-sm"
                   href="{{ action('FileController@show', ['File' => $file]) }}">
                     Show
                </a>

                <a class="btn btn-primary btn-sm"
                   href="{{ action('FileController@edit', ['File' => $file]) }}">
                     Edit
                </a>

                <form method="POST"
                      action="{{ action('FileController@destroy', ['File' => $file]) }}"
                      style="display: inline-block">
                    {{ csrf_field() }}
                    {{ method_field("DELETE") }}
                    <button class="btn btn-danger btn-sm">
                         Delete
                    </button>
                </form>
            </td>
        </tr>
        @endforeach
    </table>
</div>
@endsection