<?php

use App\File;
use App\Directory;
use Illuminate\Support\Facades\Storage;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('files/{file}/download', function(File $file) {
    $file->downloads = $file->downloads + 1;
    $file->save();
    return Storage::download($file->path_on_disk, $file->name);
})->name('file.download');

Route::get('/', function() {
    return view('index', ["directory" => Directory::root()]);
});

Route::get('{path}', function ($path) {
    $directory = \App\Directory::findByPath($path, false);
    return view('index', ["directory" => $directory]);
})->where('path', '.*')->name("browse");

//Auth::routes();
//Route::get('/home', 'HomeController@index')->name('home');

//Route::resource('app/files', 'FileController');
//Route::resource('app/directories', 'DirectoryController');